<template>
  <div class="Header">
    <div class="H_content flex">
      <div class="cc flex">
        <div class="image">
          <img :src="system_logo" alt="" />
        </div>
        <div class="right">
          <span @click="toLogin">登录</span>
          <span @click="toRegister">注册</span>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
/* eslint-disable */
export default {
  name: "Header",
  data() {
    return {
      system_logo: window.localStorage.getItem("system_logo"),
    };
  },
  created() {},
  methods: {
    toLogin() {
      this.$router.replace({ name: "index-login" });
    },
    toRegister() {
      this.$router.replace({ name: "index-register" });
    },
  },
};
</script>
<style  lang="scss" scoped>
.flex {
  display: flex;
}
.Header {
  font-family: PingFangSC-Medium, PingFang SC;
  height: 80px;
  box-shadow: 0px 0px 12px 0px rgba(0, 0, 0, 0.12);
  .H_content {
    justify-content: center;
    .cc {
      width: 100%;
      justify-content: space-around;
      align-items: center;
      div {
        flex-direction: column;
      }
    }
  }

  .image img {
    width: 318px;
    height: 62px;
  }
  .right {
    span {
      font-size: 15px;
      font-weight: 500;
      color: #666666;
      line-height: 21px;
      cursor: pointer;
    }
    :last-child {
      font-weight: 500;
      color: var(--color);
      line-height: 21px;
      padding: 10px 36px;
      border-radius: 4px;
      border: 2px solid var(--color);
      margin-left: 50px;
    }
  }
}
</style>
